<?php
ini_set('display_errors', true);
ini_set('display_startup_errors', true);
error_reporting(E_ALL);

define('_JEXEC', 1);
define('JPATH_BASE', '../../');
require_once JPATH_BASE . '/includes/defines.php';

require_once JPATH_BASE . '/includes/framework.php'; // JFactory
$app = JFactory::getApplication('site');
$app->initialise();

require "phpmailer/class.phpmailer.php";

define('SESSION_NAMESPACE', 'mod_contactform_masterpro');


$session = JFactory::getSession();
$input = JFactory::getApplication()->input;

/* config start */


/* config end */

$err = array();

if(!checkLen('name'))
	$err[] = 'The name field is too short or empty!';

if(!checkLen('email'))
	$err[] = 'The email field is too short or empty!';
else if(!checkEmail($input->getString('email')))
	$err[] = 'Your email is not valid!';

if(!checkLen('subject'))
	$err[] = 'You have not selected a subject!';

if(!checkLen('message'))
	$err[] = 'The message field is too short or empty!';

JPluginHelper::importPlugin('captcha');
$dispatcher = JDispatcher::getInstance();
$res = $dispatcher->trigger('onCheckAnswer', $input->get('recaptcha_response_field'));
if(!$res[0]){
	$err[] = 'The captcha code is wrong!';
}


if(count($err)){
	if($input->get('ajax', false)){
		echo '-1';
	}
	else if(@$_SERVER['HTTP_REFERER']){ // @TODO replace $_SERVER usage
		$session->set('errStr', implode('<br />', $err), SESSION_NAMESPACE);
//?		$_SESSION['post']=$_POST;

		header('Location: '.$_SERVER['HTTP_REFERER']);
	}

	exit;
}


$msg = 'Name:	' . $input->getString('name') . '<br />
Email:	' . $input->getString('email') . '<br />
IP:	' . $_SERVER['REMOTE_ADDR'] . '<br /><br />

Message:<br /><br />

' . nl2br($input->getString('message')) . '

';


$mail = new PHPMailer();
$mail->IsMail();

$mail->AddReplyTo($input->getString('email'), $input->getString('name'));
$mail->AddAddress($input->getString('category_name'));
$mail->AddAddress($input->getString('category_name1'));
$mail->AddAddress($input->getString('category_name2'));
$mail->SetFrom($input->getString('email'), $input->getString('name'));
$mail->Subject = 'A new ' . mb_strtolower($input->getString('subject')) . ' from ' . $input->getString('name') . ' | contact form feedback';

$mail->MsgHTML($msg);

$mail->Send();


if($input->get('ajax', false)){
	echo '1';
}
else{
	$session->set('sent', 1, SESSION_NAMESPACE);

	if($_SERVER['HTTP_REFERER'])
		header('Location: '.$_SERVER['HTTP_REFERER']);

	exit;
}

function checkLen($str, $len = 2){
	global $input;
	$var = $input->getString($str);
	return isset($var) && mb_strlen(strip_tags($var),"utf-8") > $len;
}

function checkEmail($str)
{
	return preg_match("/^[\.A-z0-9_\-\+]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/", $str);
}

?>